public class PersonenTestApplikation
{
	public static void main (String[]args)
	{		
		testToString();
		testEquals();
	}
	static void testToString()
	{
		Person p1=new Person("Meier","Paula");
		System.out.println("--------------------------");
		System.out.println("Test tostring");
		System.out.println("Name: Meier; Vorname: Paula Expected");
		System.out.println(p1+" Result");
	}
	static void testEquals()
	{
		Person p1=new Person("Meier","Paula");
		Person p2=new Person("Meier","Paula");
		System.out.println("--------------------------");
		System.out.println("Test p1.equals(p2),\n\t p1: "+p1+",\n\t p2: "+p2);
		System.out.println("true Expected");
		System.out.println(p1.equals(p2)+" Result");
		System.out.println("--------------------------");
		p1.setName("Meyer");
		System.out.println("Test p1.equals(p2),\n\t p1: "+p1+",\n\t p2: "+p2);
		System.out.println("false Expected");
		System.out.println(p1.equals(p2)+" Result");
		System.out.println("--------------------------");
		p1.setName("Meier");
		p1.setVorname("Pauline");
		System.out.println("Test p1.equals(p2),\n\t p1: "+p1+",\n\t p2: "+p2);
		System.out.println("false Expected");
		System.out.println(p1.equals(p2)+" Result");
	}
}	